package com.zztrapp.zztrapp.bean;

import java.io.Serializable;
import java.util.List;

/**
 * Describe 消息
 * Created by Bby on 2022/8/3
 * Email bby0856@163.com
 */
public class MassageBean {

    private List<RecordsBean> records;
    private Integer total;
    private Integer size;
    private Integer current;
    private List<?> orders;
    private Boolean optimizeCountSql;
    private Boolean searchCount;
    private Object countId;
    private Object maxLimit;
    private Integer pages;

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public Boolean getOptimizeCountSql() {
        return optimizeCountSql;
    }

    public void setOptimizeCountSql(Boolean optimizeCountSql) {
        this.optimizeCountSql = optimizeCountSql;
    }

    public Boolean getSearchCount() {
        return searchCount;
    }

    public void setSearchCount(Boolean searchCount) {
        this.searchCount = searchCount;
    }

    public Object getCountId() {
        return countId;
    }

    public void setCountId(Object countId) {
        this.countId = countId;
    }

    public Object getMaxLimit() {
        return maxLimit;
    }

    public void setMaxLimit(Object maxLimit) {
        this.maxLimit = maxLimit;
    }

    public Integer getPages() {
        return pages;
    }

    public void setPages(Integer pages) {
        this.pages = pages;
    }

    public static class RecordsBean implements Serializable {
        private String priority_dictText;
        private String msgType;
        private String readFlag;
        private String readTime;
        private String priority;
        private Object userId;
        private String sendTime;
        private String msgType_dictText;
        private String titile;
        private String msgContent;
        private String sender;
        private String sendStatus_dictText;
        private String msgCategory_dictText;
        private String startTime;
        private String sendStatus;
        private String id;
        private String endTime;
        private String msgCategory;

        public String getPriority_dictText() {
            return priority_dictText;
        }

        public void setPriority_dictText(String priority_dictText) {
            this.priority_dictText = priority_dictText;
        }

        public String getMsgType() {
            return msgType;
        }

        public void setMsgType(String msgType) {
            this.msgType = msgType;
        }

        public String getReadFlag() {
            return readFlag;
        }

        public void setReadFlag(String readFlag) {
            this.readFlag = readFlag;
        }

        public String getReadTime() {
            return readTime;
        }

        public void setReadTime(String readTime) {
            this.readTime = readTime;
        }

        public String getPriority() {
            return priority;
        }

        public void setPriority(String priority) {
            this.priority = priority;
        }

        public Object getUserId() {
            return userId;
        }

        public void setUserId(Object userId) {
            this.userId = userId;
        }

        public String getSendTime() {
            return sendTime;
        }

        public void setSendTime(String sendTime) {
            this.sendTime = sendTime;
        }

        public String getMsgType_dictText() {
            return msgType_dictText;
        }

        public void setMsgType_dictText(String msgType_dictText) {
            this.msgType_dictText = msgType_dictText;
        }

        public String getTitile() {
            return titile;
        }

        public void setTitile(String titile) {
            this.titile = titile;
        }

        public String getMsgContent() {
            return msgContent;
        }

        public void setMsgContent(String msgContent) {
            this.msgContent = msgContent;
        }

        public String getSender() {
            return sender;
        }

        public void setSender(String sender) {
            this.sender = sender;
        }

        public String getSendStatus_dictText() {
            return sendStatus_dictText;
        }

        public void setSendStatus_dictText(String sendStatus_dictText) {
            this.sendStatus_dictText = sendStatus_dictText;
        }

        public String getMsgCategory_dictText() {
            return msgCategory_dictText;
        }

        public void setMsgCategory_dictText(String msgCategory_dictText) {
            this.msgCategory_dictText = msgCategory_dictText;
        }

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public String getSendStatus() {
            return sendStatus;
        }

        public void setSendStatus(String sendStatus) {
            this.sendStatus = sendStatus;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getEndTime() {
            return endTime;
        }

        public void setEndTime(String endTime) {
            this.endTime = endTime;
        }

        public String getMsgCategory() {
            return msgCategory;
        }

        public void setMsgCategory(String msgCategory) {
            this.msgCategory = msgCategory;
        }
    }
}
